All endpoints for the mIRCscord Bot Platform. Base URL: https://mircscord.com
Authorization: Bearer {token} header. Get a token by logging in via POST /api/auth/login.List all public bots available in the marketplace.
// Response
[
{
"id": "uuid",
"name": "AutoMod",
"description": "Automatic moderation...",
"bot_type": "builtin",
"category": "moderation",
"is_public": true,
"install_count": 42,
"avg_rating": 4.5,
"created_at": "2026-04-19T..."
}
]
Get details for a specific bot.
Install a bot to your server. Requires server admin permissions.
// Request
{ "bot_id": "uuid-of-bot-to-install" }
// Response
{ "id": "install-uuid", "bot_id": "...", "server_id": "...", "enabled": true }
List all bots installed on a server.
Update bot configuration or toggle enabled/disabled. Requires admin.
// AutoMod config example
{
"enabled": true,
"config": {
"blocked_words": ["spam", "scam", "buy now"],
"block_links": true,
"block_caps": true
}
}
// Welcome Bot config example
{
"config": {
"welcome_message": "Welcome to the server, {username}! Check out #rules first.",
"welcome_channel_id": "uuid-of-welcome-channel"
}
}
// AI Bot config example
{
"config": {
"system_prompt": "You are a helpful coding assistant. Be concise.",
"active_channels": ["channel-uuid-1", "channel-uuid-2"],
"model": "anthropic/claude-sonnet-4",
"api_url": "https://openrouter.ai/api/v1/chat/completions"
}
}
Remove a bot from your server. Requires admin.
Set the API key for an AI bot. Keys are encrypted and never shown again. Rate limited: max 3 changes per hour.
// Request
{
"provider": "openrouter", // openrouter | openai | anthropic | google | mistral | groq
"api_key": "sk-or-v1-...",
"model": "anthropic/claude-sonnet-4" // optional
}
sk-. Anthropic keys must start with sk-ant-. All keys must be at least 20 characters.
Remove the API key from an AI bot. Requires admin.
Get reviews for a bot.
Post a review. Rating 1-5, one review per user per bot.
{ "rating": 5, "body": "Great bot, keeps the server clean!" }
builtin moderationAutomatic moderation for your server.
builtin utilityGreet new members when they join your server.
{username} placeholderbuiltin utilityServer statistics and activity tracking. (Coming soon)
builtin funCreate polls with multiple options. (Coming soon)
builtin utilitySet personal and channel reminders. (Coming soon)
aiCreate custom AI assistants by providing your own API key. Supports OpenRouter, OpenAI, Anthropic, and more.
mIRCscord Developer Portal — Built by gh0stc0de — mircscord.com